Creates a new referral connection request to another adviser using their referral code. Run in API Explorer
Ask AI
An email notification will be sent to the recipient with accept/deny links.
POST
/api/v1/referral-connections
curl \
--request POST 'https://api.plannrcrm.com/api/v1/referral-connections' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"adviser_key": "ABC12345"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"adviser_key": "ABC12345"
}
Response examples (200)
{
"uuid": "92fa7033-0e11-4a93-a2c6-ec9141b5589e",
"direction": "sent",
"status": "pending",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "73c8b6a4-56f9-45cf-8035-fa480a47b9c6",
"created_at": "2026-09-18T09:00:11+01:00",
"updated_at": "2026-09-18T09:00:11+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d9429bc7-4ef5-4ba4-969c-eaae44f3b95f",
"created_at": "2026-09-18T09:00:17+01:00",
"updated_at": "2026-09-18T09:00:17+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "ae6e3bdc-a222-462e-a1c2-b71a8529f516",
"created_at": "2026-09-18T09:00:11+01:00",
"updated_at": "2026-09-18T09:00:11+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "d9429bc7-4ef5-4ba4-969c-eaae44f3b95f",
"created_at": "2026-09-18T09:00:17+01:00",
"updated_at": "2026-09-18T09:00:17+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-09-18T09:00:11+01:00",
"updated_at": "2026-09-18T09:00:11+01:00",
"expires_at": "2026-10-18T09:00:11+01:00"
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}